API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/loads/{loadId}/unlock

ark.unlock_load

Releases the connected actor’s load lock, or manager-overrides another user lock when allowed.

Availability
Expanded preview
Scopes
loads:write
ARK permissions
canAssignLoads
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

triggerstring

one of: manual, form_close, dispatch_complete, manager_override; default: "manual"

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/unlock' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{}'

Success response

Load unlock result

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.successbooleanrequired
data.messagestring | nullrequired
data.loadIdstringrequired

format: uuid

data.lockedBystring | nullrequired

format: uuid

data.lockedByNamestring | nullrequired
data.lockedAtstring | nullrequired

format: date-time

data.lockExpiresAtstring | nullrequired

format: date-time

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry